## NAME

t.vect.db.select - Prints attributes of vector maps registered in a space time vector dataset.

## KEYWORDS

temporal, attribute table, vector, database, select, time

## SYNOPSIS

t.vect.db.select
t.vect.db.select --help
t.vect.db.select input=name [columns=name[,name,...]] [separator=character] [layer=string] [where=sql_query] [t_where=sql_query] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of the input space time vector dataset
columns=name[,name,...]
  Name of attribute column(s)
separator=character
  Field separator character between the output columns
  Special characters: pipe, comma, space, tab, newline
  Default: pipe
layer=string
  Layer number or name
  Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
  Default: 1
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword
  Example: income < 1000 and population >= 10000
t_where=sql_query
  WHERE conditions of SQL statement without 'where' keyword used in the temporal GIS framework
  Example: start_time > '2001-01-01 12:30:00'

## DESCRIPTION

The module t.vect.db.select prints attributes of vector maps registered in a space time vector dataset.

## EXAMPLE

The example is querying the shoreline space time dataset:

    t.vect.db.select input=shoreline
    start_time|end_time|cat|DESCR|SOURCE|DATE
    1849|1873|1|T-736|NOAA/USGS|01/01/1858
    1849|1873|2|T-657|NOAA/USGS|01/01/1857
    1849|1873|3|T-381(2)|NOAA/USGS|01/01/1852
    1849|1873|4|T-381(1)|NOAA/USGS|01/01/1852
    1849|1873|5|T-381(1)|NOAA/USGS|01/01/1852
    ...
    2009||44|2009 USDA NAIP|2009-07-11|VA, SAND, Wet / Dry
    2009||45|2009 USDA NAIP|2009-07-11|Carolina Beach, SAND, Wet / Dry
    2009||46|2009 USDA NAIP|2009-07-11|Carolina Beach, REVETMENT-ROCK, Hard Structure
    2009||47|2009 USDA NAIP|2009-07-11|Fort Fisher, REVETMENT-ROCK, Hard Structure

In the following example it print only DATE and SOURCE columns for data before 1900-01-01.

    t.vect.db.select input=shoreline column=DATE,SOURCE t_where="start_time < 1900"
    start_time|end_time|DATE|SOURCE
    1849|1873|01/01/1858|NOAA/USGS
    1849|1873|01/01/1857|NOAA/USGS
    1849|1873|01/01/1852|NOAA/USGS
    1849|1873|01/01/1852|NOAA/USGS
    ...
    1849|1873|01/01/1860|NOAA/USGS
    1849|1873|01/01/1860|NOAA/USGS
    1849|1873|01/01/1873|Coastal Carolina University
    1849|1873|01/01/1873|Coastal Carolina University
    1849|1873|01/01/1873|Coastal Carolina University

## SEE ALSO

t.create, t.info

## AUTHOR

Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

## SOURCE CODE

Available at: t.vect.db.select source code (history)

Latest change: Thursday Feb 03 11:10:06 2022 in commit: 547ff44e6aecfb4c9cbf6a4717fc14e521bec0be

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.2.2dev Reference Manual